"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildLibraryBuilder = void 0;
const architect_1 = require("@angular-devkit/architect");
const build_ng_packagr_1 = require("@angular-devkit/build-ng-packagr");
const rxjs_1 = require("rxjs");
const builder_1 = require("../named-exports/builder");
const parse_options_1 = require("../named-exports/parse-options");
const buildLibraryBuilder = (options, context) => {
    const ngPackagrOptions = Object.keys(options)
        .filter((key) => key !== 'index')
        .reduce((acc, curr) => (Object.assign(Object.assign({}, acc), { [curr]: options[curr] })), {});
    const namedExportsOptions = parse_options_1.parseOptions(options.namedExports, { setDefaults: false });
    const namedExports = namedExportsOptions ? builder_1.namedExportsBuilder(namedExportsOptions, context) : rxjs_1.of();
    return rxjs_1.concat(namedExports, build_ng_packagr_1.execute(ngPackagrOptions, context));
};
exports.buildLibraryBuilder = buildLibraryBuilder;
exports.default = architect_1.createBuilder(exports.buildLibraryBuilder);
//# sourceMappingURL=builder.js.map