"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.namedExportsBuilder = void 0;
const architect_1 = require("@angular-devkit/architect");
const rxjs_1 = require("rxjs");
const cross_spawn_1 = __importDefault(require("cross-spawn"));
const path_1 = require("path");
const parse_options_1 = require("./parse-options");
const namedExportsBuilder = (options, context) => {
    const config = parse_options_1.parseOptions(options);
    return new rxjs_1.Observable((builder$) => {
        const args = Object.keys(config).reduce((acc, key) => [
            ...acc,
            `--${key}`,
            config[key].toString(),
        ], []);
        const spawn = cross_spawn_1.default(path_1.join('node_modules', '.bin', 'named-exports'), args, { stdio: 'pipe' });
        if (spawn.stdout) {
            spawn.stdout.on('data', (data) => {
                context.logger.info(data.toString());
            });
        }
        if (spawn.stderr) {
            spawn.stderr.on('data', (data) => {
                context.logger.error(data.toString());
            });
        }
        spawn.on('close', (code) => {
            builder$.next({ success: code === 0 });
            builder$.complete();
        });
    });
};
exports.namedExportsBuilder = namedExportsBuilder;
exports.default = architect_1.createBuilder(exports.namedExportsBuilder);
//# sourceMappingURL=builder.js.map