"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseOptions = void 0;
const parseOptions = (options, { setDefaults = true } = {}) => {
    const config = {
        dir: options.dir || (setDefaults ? process.cwd() : undefined),
        ignore: options.ignore || (setDefaults ? '*.spec|*.index|test' : undefined),
        fileName: options.fileName || (setDefaults ? 'index' : undefined),
        indent: options.indent || (setDefaults ? 'space' : undefined),
        indentSize: options.indentSize || (setDefaults ? 2 : undefined),
        silent: options.silent !== undefined ? !!options.silent : (setDefaults ? false : undefined),
    };
    const withoutEmpty = Object.keys(config).reduce((acc, curr) => {
        if (config[curr] !== undefined) {
            return Object.assign(Object.assign({}, acc), { [curr]: config[curr] });
        }
        return acc;
    }, {});
    return Object.keys(withoutEmpty).length ? withoutEmpty : null;
};
exports.parseOptions = parseOptions;
//# sourceMappingURL=parse-options.js.map